--## Adds a quickslot for WCFilter ##--
function GetOptWindow()
	WCFWindow = Turbine.UI.Window();
	WCFWindow.WasDrag = false;
	WCFWindow:SetSize( 20, 21 );
	local screenWidth, screenHeight = Turbine.UI.Display.GetSize()
	local winWidth, winHeight = WCFWindow:GetSize();

	if settings.locX == nil then
		settings.locX, settings.locY = 60, screenHeight - winHeight - 40
		WCFWindow:SetPosition( settings.locX, settings.locY );
		SaveSettings(true,false);
	end
	
	--Replace if out of screenwidth/screenheight
	if settings.locX + winWidth > screenWidth then ResetLoc(); end
	if settings.locY + winHeight > screenHeight then ResetLoc(); end

	WCFWindow:SetPosition( settings.locX, settings.locY );
	WCFWindow:SetVisible( true );

	optButton = Turbine.UI.Button();
	optButton:SetParent( WCFWindow );
	optButton:SetPosition( 0, 0 );
	optButton:SetSize( WCFWindow:GetWidth(), WCFWindow:GetHeight() );
	optButton:SetBackground( "Burgus/WCFilter/Resources/wcf_small.tga" );

	optButton.Click = function( sender, args )
		if not WCFWindow.WasDrag then Turbine.PluginManager.ShowOptions(Plugins["WCFilter"]); end
		WCFWindow.WasDrag = false;
	end

	optButton.MouseDown = function( sender, args )
		WCFWindow.dragStartX, WCFWindow.dragStartY = args.X, args.Y;
		WCFWindow.dragging = true;
	end
	
	optButton.MouseUp = function( sender, args )
		local screenWidth, screenHeight = Turbine.UI.Display.GetSize();
		if WCFWindow:GetLeft() < 0 then WCFWindow:SetLeft( 0 ); end
		if WCFWindow:GetLeft() + WCFWindow:GetWidth() > screenWidth then WCFWindow:SetLeft( screenWidth - WCFWindow:GetWidth() ); end
		if WCFWindow:GetTop() < 0 then WCFWindow:SetTop( 0 ); end
		if WCFWindow:GetTop() + WCFWindow:GetHeight() > screenHeight then WCFWindow:SetTop( screenHeight - WCFWindow:GetHeight() ); end
		WCFWindow.dragging = false;
		settings.locX, settings.locY = WCFWindow:GetPosition();
		SaveSettings(true,false);
	end
	
	optButton.MouseMove = function( sender, args )
		local left, top = WCFWindow:GetPosition();
		if WCFWindow.dragging then
			WCFWindow:SetPosition( left + ( args.X - WCFWindow.dragStartX ), top + ( args.Y - WCFWindow.dragStartY ) );
			WCFWindow.WasDrag = true;
		end
	end
end

function ResetLoc()
	local screenWidth, screenHeight = Turbine.UI.Display.GetSize()
	local winWidth, winHeight = WCFWindow:GetSize();
	settings.locX, settings.locY = 60, screenHeight - winHeight - 40
	WCFWindow:SetPosition( settings.locX, settings.locY );
	SaveSettings(true,false);
end